﻿@using UsingViewsAndModels_LeoSkadden.Models
@model Dictionary<int, UsingViewsAndModels_LeoSkadden.Models.Purchase>

@{
	ViewBag.Title = "Index";
	Purchase purchaseModel = new Purchase();
}

<h2>Index</h2>

<p>
	@Html.ActionLink("Create New", "CreatePurchase")
</p>
<table class="table">
	<tr>
		<th>
			@Html.DisplayNameFor(model => purchaseModel.PurchaseDate)
		</th>
		<th>
			@Html.DisplayNameFor(model => purchaseModel.Price)
		</th>
		<th></th>
	</tr>

@foreach (var item in Model) {
	<tr>
		<td>
			@Html.DisplayFor(modelItem => item.Value.PurchaseDate)
		</td>
		<td>
			@Html.DisplayFor(modelItem => item.Value.Price)
		</td>
		<td>
			@Html.ActionLink("Edit", "EditPurchase", new { id = item.Key }) |
			@Html.ActionLink("Delete", "DeletePurchase", new { id = item.Key, confirm = true })
		</td>
	</tr>
}

</table>
